Package twisted :: Package coil :: Module web :: Class ImmutableCollectionDeleteForm

[show private | hide private]
[frames | no frames]

## Class ImmutableCollectionDeleteForm

    Widget --+
             |
          Form --+
                 |
                ImmutableCollectionDeleteForm

A collection of immutable objects such as strings or integers.

This form allows you to delete entries.

Method Summary
| `__init__(self, appcpage, coll, linkfrom)`
| ``display`(self, request)` Display the form. (inherited from `Form`)
| ``format`(self, form, write, request)` I display an HTML FORM according to the result of self.getFormFields. (inherited from `Form`)
| ``formatError`(self, error)` Format an error message. (inherited from `Form`)
| `getFormFields(self, request)`
| ``getFormID`(self)` Override me: I disambiguate between multiple forms of the same type. (inherited from `Form`)
| `getTitle(self, request)` (inherited from `Widget`)
| `process(self, write, request, submit, items)`
| `shouldProcess(self, request)` (inherited from `Form`)
| ``tryAgain`(self, err, req)` Utility method for re-drawing the form with an error message. (inherited from `Form`)

Class Variable Summary
`list` | `submitNames`

Class Variable Details

### submitNames

  Type:
    `list`
  Value:

        ['Delete']

Generated by Epydoc 1.1 on Thu May 8 13:16:21 2003 | http://epydoc.sf.net